<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/allbg"
    tools:context="com.example.tyre.DownActivity">

    <TextView
        style="@style/tablebarStyleTwo"
        android:layout_width="match_parent"
        android:layout_height="55dp"
        android:text="轮胎卸车" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="45dp"
        style="@style/layout_t12_s8_style">

        <TextView
            style="@style/alltext"
            android:layout_width="80dp"
            android:layout_height="match_parent"
            android:text="扫描EPC:" />

        <TextView
            android:id="@+id/epc"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            style="@style/scanTextStyle"
        />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="45dp"
        style="@style/layout_t12_s8_style">

        <TextView
            style="@style/alltext"
            android:layout_width="80dp"
            android:layout_height="match_parent"
            android:text="胎号:" />

        <TextView
            android:id="@+id/th"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            style="@style/textView_info_style"
         />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="45dp"
        style="@style/layout_t12_s8_style">

        <TextView
            style="@style/alltext"
            android:layout_width="80dp"
            android:layout_height="match_parent"
            android:text="自编号:" />

        <TextView
            android:id="@+id/zbh"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            style="@style/textView_info_style" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayout4"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        style="@style/layout_t12_s8_style">

        <TextView
            style="@style/alltext"
            android:layout_width="80dp"
            android:layout_height="match_parent"
            android:text="车牌号:" />

        <TextView
            android:id="@+id/car"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            style="@style/textView_info_style" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayout1"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        style="@style/layout_t12_s8_style">

        <TextView
            style="@style/alltext"
            android:layout_width="80dp"
            android:layout_height="match_parent"
            android:text="终止里程:" />

        <EditText
            android:id="@+id/start"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:inputType="number"
            style="@style/scanTextStyle"
            android:hint="输入终止里程"/>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayout5"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        style="@style/layout_t12_s8_style">

        <TextView
            style="@style/alltext"
            android:layout_width="80dp"
            android:layout_height="match_parent"
            android:text="拆下轮位:" />

        <TextView
            android:id="@+id/azlw"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            style="@style/textView_info_style" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayout7"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        style="@style/layout_t12_s8_style">

        <TextView
            style="@style/alltext"
            android:layout_width="80dp"
            android:layout_height="match_parent"
            android:text="花纹深度:" />

        <EditText
            android:id="@+id/patternDepth"
            android:layout_height="match_parent"
            android:layout_weight="1"
            style="@style/textView_info_style"
            android:imeOptions="actionDone"
            android:inputType="numberDecimal"
         />

        <!-- 单位文本：固定宽度或包裹内容 -->
        <TextView
            android:layout_width="40dp"
            android:layout_height="match_parent"
            android:layout_marginStart="4dp"
            android:gravity="center"
            android:text="mm"
            android:textColor="@color/black"
            android:textSize="15sp" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="45dp"
        style="@style/layout_t12_s8_style">

        <TextView
            style="@style/alltext"
            android:layout_width="80dp"
            android:layout_height="match_parent"
            android:text="卸胎原因:" />

        <Spinner
            android:id="@+id/unloading_reason"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:entries="@array/xietai"
            android:textAlignment="center"/>

    </LinearLayout>

    <EditText
        android:id="@+id/unloading_reason_remark"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="88dp"
        android:layout_marginEnd="8dp"
        style="@style/textView_info_style"
        android:gravity="top"
        android:hint="输入卸胎原因"
        android:minHeight="50dp"
        android:padding="8dp"
        android:textColor="@color/textColor1"
        android:textSize="15sp" />

    <!--<LinearLayout-->
    <!--android:layout_width="match_parent"-->
    <!--android:layout_height="40dp"-->
    <!--android:layout_marginStart="8dp"-->
    <!--android:layout_marginTop="20dp"-->
    <!--android:layout_marginEnd="8dp"-->
    <!--android:orientation="horizontal"-->
    <!--app:layout_constraintEnd_toEndOf="parent"-->
    <!--app:layout_constraintStart_toStartOf="parent"-->
    <!--app:layout_constraintTop_toBottomOf="@+id/linearLayout3">-->
    <!--<TextView-->
    <!--style="@style/alltext"-->
    <!--android:layout_width="80dp"-->
    <!--android:layout_height="match_parent"-->
    <!--android:background="@color/blue2"-->
    <!--android:text="操作人:" />-->

    <!--<TextView-->
    <!--android:id="@+id/czr"-->
    <!--android:layout_width="match_parent"-->
    <!--android:layout_height="match_parent"-->
    <!--android:layout_marginStart="8dp"-->
    <!--android:layout_weight="1"-->
    <!--android:textSize="22sp"-->
    <!--android:textColor="@color/black"-->
    <!--android:background="@drawable/bg_santex_coppy"-->
    <!--android:gravity="center" />-->
    <!--<Spinner-->
    <!--android:id="@+id/spinner2"-->
    <!--android:entries="@array/user"-->
    <!--android:layout_width="30dp"-->
    <!--android:layout_height="match_parent"></Spinner>-->
    <!--</LinearLayout>-->

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        style="@style/layout_t12_s8_style"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <Button
            android:id="@+id/ok"
            style="@style/buttonStyle"
            android:layout_width="150dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:text="完成" />

        <View
            android:layout_width="50dp"
            android:layout_height="match_parent" />

        <Button
            android:id="@+id/back"
            style="@style/buttonStyle"
            android:layout_width="150dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:text="返回" />

    </LinearLayout>

</LinearLayout>
